Base URL: https://demo-api.incodesmile.com — Incode demo environment
Fetch user's labor history from IMSS. Interview id is extracted from jwt token.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
interviewId |
query | string | ||
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
interviewId |
string | ||
requestId |
string | ||
workHistory |
object | ||
workHistory.name |
string | ||
workHistory.curp |
string | ||
workHistory.apiKey |
string | ||
workHistory.nss |
string | ||
workHistory.quotedWeeks |
object | ||
workHistory.quotedWeeks.discountedWeeks |
integer (int32) | ||
workHistory.quotedWeeks.listedWeeks |
integer (int32) | ||
workHistory.quotedWeeks.reinstatedWeeks |
integer (int32) | ||
workHistory.laborHistoryList |
array[LaborHistory] | ||
workHistory.laborHistoryList.nombrePatron |
string | ||
workHistory.laborHistoryList.entidadFederativa |
string | ||
workHistory.laborHistoryList.fechaAlta |
string | ||
workHistory.laborHistoryList.fechaBaja |
string | ||
workHistory.laborHistoryList.salarioBaseCotizacion |
string | ||
workHistory.laborHistoryList.registroPatronal |
string |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |